Upstream information

CVE-2008-2696 at MITRE

Description

Exiv2 0.16 allows user-assisted remote attackers to cause a denial of service (divide-by-zero and application crash) via a zero value in Nikon lens information in the metadata of an image, related to "pretty printing" and the RationalValue::toLong function.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 435509 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.0
  • exiv2-debuginfo >= 0.16-29.2
  • exiv2-debugsource >= 0.16-29.2
openSUSE 11.0
  • exiv2 >= 0.16-29.2
  • libexiv2-2 >= 0.16-29.2
  • libexiv2-2-32bit >= 0.16-29.2
  • libexiv2-2-64bit >= 0.16-29.2
  • libexiv2-devel >= 0.16-29.2